PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Functions
socket.h File Reference
`#include <ptlib/channel.h>`
`#include "unix/ptlib/socket.h"`
Include dependency graph for socket.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PSocket
| A network communications channel. More...
class | PSocket::SelectList
| List of sockets used for Select() function. More...
struct | PSocket::Slice
| Structure that defines a "slice" of memory to be written to. More...
class | P_fd_set
class | P_timeval

## Functions
| PLIST (PSocketList, PSocket)

## Function Documentation

PLIST | ( | PSocketList | ,
|  | PSocket |
| ) |  |